For the complete documentation index, see llms.txt. This page is also available as Markdown.

Governance Alert

This contains APIs related to Governance Alert Management

Clone a governance alert rule with the given id

post

Clone a governance alert rule with the given id

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

idstringRequired
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/governance/alert/clone
POST /gateway/ccm/api/governance/alert/clone?accountIdentifier=text&id=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Create a new governance alert rule

post

Create a new governance alert rule

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body

This object will contain the complete definition of a Governance Notification

uuidstringOptional

unique id

accountIdstringOptional

account id

namestringOptional

name

cloudProviderstring · enumOptional

cloud provider

Possible values:
resourceTypesstring[]Optional

resource types

cloudAccountIdsstring[]Optional

cloud account ids

resourceCountinteger · int64Optional

resource count

costnumber · doubleOptional

cost

emailIdsstring[]Optional

email ids

isAttachmentRequiredbooleanOptional

is attachment required

isEnabledbooleanOptional

is enabled

createdAtinteger · int64Optional

Time at which the entity was created

lastUpdatedAtinteger · int64Optional

Time at which the entity was last updated

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/governance/alert
POST /gateway/ccm/api/governance/alert?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 412

{
  "uuid": "text",
  "accountId": "text",
  "name": "text",
  "cloudProvider": "AWS",
  "resourceTypes": [
    "text"
  ],
  "cloudAccountIds": [
    "text"
  ],
  "resourceCount": 1,
  "cost": 1,
  "emailIds": [
    "text"
  ],
  "isAttachmentRequired": true,
  "isEnabled": true,
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "createdBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  },
  "lastUpdatedBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update a existing governance alert rule

put

Update a existing governance alert rule

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

idstringRequired
Body

This object will contain the complete definition of a Governance Notification

uuidstringOptional

unique id

accountIdstringOptional

account id

namestringOptional

name

cloudProviderstring · enumOptional

cloud provider

Possible values:
resourceTypesstring[]Optional

resource types

cloudAccountIdsstring[]Optional

cloud account ids

resourceCountinteger · int64Optional

resource count

costnumber · doubleOptional

cost

emailIdsstring[]Optional

email ids

isAttachmentRequiredbooleanOptional

is attachment required

isEnabledbooleanOptional

is enabled

createdAtinteger · int64Optional

Time at which the entity was created

lastUpdatedAtinteger · int64Optional

Time at which the entity was last updated

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/governance/alert
PUT /gateway/ccm/api/governance/alert?accountIdentifier=text&id=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 412

{
  "uuid": "text",
  "accountId": "text",
  "name": "text",
  "cloudProvider": "AWS",
  "resourceTypes": [
    "text"
  ],
  "cloudAccountIds": [
    "text"
  ],
  "resourceCount": 1,
  "cost": 1,
  "emailIds": [
    "text"
  ],
  "isAttachmentRequired": true,
  "isEnabled": true,
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "createdBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  },
  "lastUpdatedBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Delete a governance alert rule with the given id

delete

Delete a governance alert rule with the given id

Path parameters
idstringRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
delete/governance/alert/{id}
DELETE /gateway/ccm/api/governance/alert/{id}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

List all governance alert rule(s)

get

List all governance alert rule(s)

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/governance/alert/list
GET /gateway/ccm/api/governance/alert/list?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

List all governance supported resource types

get

List all governance supported resource types

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

cloudProviderstring · enumRequired

Cloud Provider

Possible values:
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/governance/alert/resourceTypes
GET /gateway/ccm/api/governance/alert/resourceTypes?accountIdentifier=text&cloudProvider=AWS HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Toggle a governance alert rule with the given id

put

Toggle a governance alert rule with the given id

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

idstringRequired
enableGovernanceAlertRulebooleanRequired

Enable Governance Alert Rule

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/governance/alert/toggle
PUT /gateway/ccm/api/governance/alert/toggle?accountIdentifier=text&id=text&enableGovernanceAlertRule=true HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?